﻿Rireader is a graphical user interface to read ri documentation for Windows platform. 

Ruby has a wonderful reference of the language and all available libraries: ri. 

ri stands for “Ruby Interactive”, which is a tool to navigate documentation.

This version corrected a bug which caused documentation bot to appear in some versions of Windows (e.g. Windows 7).

Getting Started
==========
If you have Ruby installed, you should have all that’s necessary to use ri. If you are have troubles, look at “Troubleshooting” below.

To try it out, enter the name of the class or method you want documentation about in the entry field and click the buttom=n "get ri documentation". The documentation will be displayed in the text field. 

Typing "Array" should show you the docs for the Array class. If you type "Array.min", the program will provide the documentation for Array’s min instance method. To be very specific about things, use a :: or # for class and instance methods rather than the generic ..

Example:

Array::wrap # class method lookup
Array#min # instance method lookup

One really useful feature of the tool is the suggestions ri provides when you enter only part of what you are looking for. Try it out:

Enumerable.each

Enumerable.each not found, maybe you meant:

Enumerable#each_cons
Enumerable#each_entry
Enumerable#each_slice
Enumerable#each_with_index
Enumerable#each_with_object

Installing:
======

write a simple script in any editor and save as "rireader.rbw" on your preferred location, this will be used to launch "Rireader".

```

require 'rireader'
\`ruby rireader\`

```

(notice the backticks)

Troubleshooting
==========
If you are not in an RVM project and you are unable to find ri documentation, try this:


```

gem install rdoc rdoc-data
rdoc-data --install

```

If you are in an RVM project, this should clear things up.

rvm docs generate-ri
